org.apache.avro

## Enum Resolver.ErrorAction.ErrorType

- java.lang.Object
- - java.lang.Enum<Resolver.ErrorAction.ErrorType>
  - - org.apache.avro.Resolver.ErrorAction.ErrorType

All Implemented Interfaces:
  Serializable, Comparable<Resolver.ErrorAction.ErrorType>

Enclosing class:
  Resolver.ErrorAction

    public static enum Resolver.ErrorAction.ErrorType
    extends Enum<Resolver.ErrorAction.ErrorType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INCOMPATIBLE_SCHEMA_TYPES` Use when Schema types don't match and can't be converted.
`MISSING_REQUIRED_FIELD` Use when matching two records and the reader has a field with no default value and that field is missing in the writer..
`NAMES_DONT_MATCH` Use when Schema types match but, in the case of record, enum, or fixed, the names don't match.
`NO_MATCHING_BRANCH` Use when matching a reader's union against a non-union and can't find a branch that matches.
`SIZES_DONT_MATCH` Use when two fixed types match and their names match by their sizes don't.

### Method Summary

All Methods Static Methods Concrete Methods
`static Resolver.ErrorAction.ErrorType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Resolver.ErrorAction.ErrorType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INCOMPATIBLE_SCHEMA_TYPES

    public static final Resolver.ErrorAction.ErrorType INCOMPATIBLE_SCHEMA_TYPES

Use when Schema types don't match and can't be converted. For example, resolving "int" and "enum".

#### NAMES_DONT_MATCH

    public static final Resolver.ErrorAction.ErrorType NAMES_DONT_MATCH

Use when Schema types match but, in the case of record, enum, or fixed, the names don't match.

#### SIZES_DONT_MATCH

    public static final Resolver.ErrorAction.ErrorType SIZES_DONT_MATCH

Use when two fixed types match and their names match by their sizes don't.

#### MISSING_REQUIRED_FIELD

    public static final Resolver.ErrorAction.ErrorType MISSING_REQUIRED_FIELD

Use when matching two records and the reader has a field with no default value and that field is missing in the writer..

#### NO_MATCHING_BRANCH

    public static final Resolver.ErrorAction.ErrorType NO_MATCHING_BRANCH

Use when matching a reader's union against a non-union and can't find a branch that matches.

### Method Detail

#### values

    public static Resolver.ErrorAction.ErrorType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Resolver.ErrorAction.ErrorType c : Resolver.ErrorAction.ErrorType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Resolver.ErrorAction.ErrorType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null